<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateObjectiveTable extends Migration
{

	public function up()
	{
		Schema::create('objectives', function (Blueprint $table) {

			$table->increments('id');

			$table->string('text');
			$table->unique(array('text'));
			$table->timestamps();
			$table->boolean('active')->after('text')->default(1);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('objectives');
	}
}
